About This File

Reporting 7.6 ETL Assistant Help

Copyright © 1999–2010 Genesys Telecommunications Laboratories, Inc. All rights reserved.
76rt_etlasst-help_04-2010_v7.6.001.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel-Lucent, is 100% focused on software for contact centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource&emdash;the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website or on the Genesys Documentation Library DVD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North America and Latin America | 888-369-5555 or 506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-1276-45-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Malaysia | 1-800-814-472 or +61-7-3368-686 | support@genesyslab.com.au
India | 000-800-100-7136 or +91-(022)-3918-0537 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see the Genesys Licensing Guide.

Released by

Genesys Telecommunications, Inc.
http://www.genesyslab.com


Overview

The Extraction, Transformation, Loading Assistant (ETL Assistant) is a component of the Data Mart Services and is used in the 7.x release both for CC Analyzer and the historical facet of CCPulse+. ETL Assistant manages metadata in the Data Mart, enabling you to view information about the results of data transformation and aggregation from different ODS sources.

This ETL Assistant Help file provides information on the following topics:

  • User interface

  • Viewing details

  • Specifying new sources to the Data Mart

  • Editing information about existing sources

  • Editing report folders and views

  • Removing items from the Data Mart

  • Viewi ng objects marked for removal/deletion

This release includes no new functionality.

For information about installing and starting ETL Assistant, refer to Reporting 8.0 Deployment Guide.


Printing This Help File

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic

    • Print the selected heading and all subtopics

  3. Select OK.


User Interface

User Interface Overview

Once you have specified valid DB Server connection parameters, the ETL Assistant window appears. Using the various elements of the interface, you can perform operations that affect what data is transformed and how that data is aggregated by ETL Runtime. This window may be maximized, minimized, resized, and repositioned using standard graphical user interface commands. Click any of the fields on the image below to view information on that part of the ETL Assistant user interface.

Refer to Reporting 8.0 Deployment Guide for information on specifying valid DB Server connection parameters. Refer to the Reporting 7.6 ETL Runtime User’s Guide for more information about the data transformation and aggregation process.


ETL Menus

User Interface > ETL Menus

ETL Menus Overview

ETL Assistant’s features are offered in three menus. A fourth floating menu, the Context menu, appears when you right-click an object from the left pane of the ETL Assistant window.

Click any of the menus in the image below to view that menu’s items and to read a brief description.


User Interface > ETL Menus

File Menu

The File menu offers the following menu items, each of which is described below:

New

Specifies a new source to the Data Mart:

  • A Configuration Server source is established if you select the Sites folder on the Sources tab after selecting New.

  • An ODS (Operational Data Storage) source is established if you select a Configuration Server or ODS source on the Sources tab after selecting New.

This menu item is not active at the Report Views tab.

Edit

Changes the mode of the right pane of the ETL Assistant window to allow modifications to the selected item in the left pane. See “Editing Configuration Server or ODS Sources ” and “Editing Report Folders and Views ” for more information.

Delete

Marks the selected DB source for deletion. This menu item is inactive if the selected object is not a DB source. You cannot manually delete Configuration Servers, report views, or report folders from a Data Mart. See the Removing Items from the Data Mart topic for more information.

Exit

Exits ETL Assistant.


User Interface > ETL Menus

Options Menu

The Options menu offers one menu item, Output, described below:

Selecting the Output menu item opens the Output dialog box, pictured below. From this dialog box, you can specify whether ETL Assistant is to display or hide inactive servers, DB sources, report folders, and/or report views. An inactive object within the context of ETL Assistant is one that has been marked for deletion, but not actually deleted. You cannot use ETL Assistant to view objects that have been permanently deleted or removed from the contact center environment.

When you mark one or more of the check boxes, in addition to those objects which have not been deleted, ETL Assistant shows:

  • All ODS source objects previously removed from the Sources tab.

  • All report views and/or report folders previously marked for deletion from the Report Views tab.

Note: The Show Deleted Config Servers check box is reserved for future functionality.

The image below illustrates ETL Assistant displaying an ODS source previously marked for removal. In this example, the green database icon no longer precedes DS01, and ETL Runtime no longer transforms or aggregates statistical data for that source.


User Interface > ETL Menus

Help Menu

The Help menu offers the following two menu items:

Help Topics

Opens this ETL Assistant help file.

About

Displays version and copyright information for the active ETL Assistant application.


User Interface > ETL Menus

Context Menu

The Context menu is the floating pop-up that displays when you right-click an element from the left pane of the ETL Assistant window. The menu items displayed differ as this menu is invoked over different elements. The pop-up below, for example, appears when you right-click a Configuration Server item under the Sources tab.

The table below identifies Context menu items given a point of invocation.

When Invoked Over... | Context Menu Displays These Menu Items...
Sites folder | Create New ConfigServer
Configuration Server | Create New DB Source Edit
ODS source | Edit Delete
Report Folder folder | N/A
Report view | Edit
Report view aggregation level | Edit


User Interface

Toolbar

The ETL toolbar contains the following three buttons, each described below:

Save

Saves any changes you made within the right pane of the ETL Assistant window

Refresh View

Refreshes data from ODS and Configuration Server sources

Help About

Displays version and copyright information of the active ETL Assistant application


User Interface

The Sources Tab

The Sources tab displays the Configuration Servers and Operational Data Stores that have been set up for Data Mart to pull information from.

On this tab, you can:

  • View information about sources that have been assigned

  • Specify new sources

  • Edit information about existing sources

  • Mark existing sources for deletion


User Interface

The Report Views Tab

The Report Views tab displays the report folders and aggregation-level report views defined for each folder. A report view is a report layout with a specified time interval for which statistical data is stored in the Data Mart.

On the Report Views tab, you can:

  • View information about a report view.

  • Define a purge schedule for each report view.

  • Edit information about a report view.


User Interface

Status Bar

A status bar, positioned along the bottom edge of the ETL Assistant window, displays the connection information you supplied to invoke ETL Assistant. The message indicates that you have successfully:

Connected to 'dbname' on host:port as 'username'

Refer to Reporting 8.0 Deployment Guide for information on these start parameters.

A second status bar reports the number of rows retrieved from the Data Mart and is positioned along the bottom edge of the right pane of the ETL Assistant window.

This second status bar only appears when the following items are selected:

  • The Sites folder under the Sources tab

  • The Report Folders folder under the Report Views tab

  • The Objects tab of any Report Layout

  • The Statistics tab of any Report Layout

  • The Time tab of any aggregation level of any Report Layout

The image above shows that the Statistics tab of the CC Agent Layout is selected and that the Data Mart has retrieved eight rows of statistics that are to be monitored.


User Interface

ETL Symbols

The left pane of the ETL Assistant window contains the unique symbols described in the table below.

Symbol | Description
 | Indicates that additional subservient items exist and are hidden from display
 | Indicates that the items immediately subservient are visible and indented underneath
 | Indicates a Genesys Configuration Server to be monitored by the Data Mart
 | Indicates an ODS source to be monitored by the Data Mart
 | Indicates a closed report folder; subservient items are hidden from display
 | Indicates an open report folder; items immediately subservient are visible and indented underneath
 | Indicates a closed report view; subservient items are hidden from display
 | Indicates an open report view; items immediately subservient are visible and indented underneath


Viewing Details

Viewing Details Overview

In the right pane of the ETL Assistant window, you can view details about an item selected in the left pane. The information differs depending on what you select. Click any of the items under the Sources or Report Views tabs in the image below to view the information displayed in the right pane.


Viewing Details

The Sites Folder

Selecting the Sites folder in the left pane of the ETL Assistant window displays, in the right pane, a list view of information about the Configuration Servers that have been set up for Data Mart to collect information from. This list view is uneditable.

The columns in this list view are described below.

Id

Displays the unique Configuration Server ID previously assigned to the Configuration Server. This ID can be up to three characters in length.

Name

Displays the unique Configuration Server name previously assigned to the Configuration Server.

Host

Displays the host name of the Configuration Server.

Port

Displays the port number of the Configuration Server.


Viewing Information

Configuration Server Sources

Selecting any Configuration Server in the left pane of the ETL Assistant window displays information about that server in the right pane, which is available in read-only and/or edit modes. While in the edit mode, editable fields are highlighted as illustrated below. Static fields—ConfigServer ID in the example—are grayed.

The fields are described below.

ConfigServer ID

Displays the Data Mart ID previously assigned to the selected Configuration Server. This field is not editable.

ConfigServer Name

Displays the unique Data Mart name previously assigned to the selected Configuration Server. ETL Assistant validates the value you specify for uniqueness.

ConfigServer Host

Displays the host name of the selected Configuration Server.

ConfigServer Port

Displays the port number of the selected Configuration Server.


Viewing Details

ODS Sources

Selecting an ODS in the left pane of the ETL Assistant window displays information about that database in the right pane, which is available in read-only and edit modes. While in the edit mode, editable fields are highlighted as illustrated below.

The fields in this pane are described below:

Source Name

Displays the unique Data Mart name assigned to the selected ODS.

Database Information

Displays the host name, database type, and port of the selected ODS. In addition:

  • For Oracle, the SID Name appears.

  • For Microsoft SQL and DB2, the database name appears.

User Information

Displays the user name and encrypted password used for connection to the selected ODS.

Miscellaneous

Displays the following:

  • The time zone in which data is to be aggregated.

  • The frequency, in seconds, with which ETL Runtime attempts to restore connection to the selected ODS when the initial connection fails.

  • An optional ODS description up to 255 characters in length.


Viewing Details

The Report Folders Folder

When the Report Folders root-level category is selected, the right pane of the ETL Assistant window displays a read-only list view with rows that specify the folder name, ID, and description of each folder (see the image below).


Viewing Details

Report Folders

When you select a specific folder from the left pane of the Report Folders folder, ETL Assistant displays the information about that folder in the right pane. This information is divided into six parts.

The fields in this pane are described below:

Folder Name

To change the folder name, choose Edit from the File menu, provide a new name, and save and confirm your changes.

Description

To change this value, choose Edit from the File menu, provide a new description, and save and confirm your changes.

Folder ID

The database generates a value for Folder ID when you create a new folder. You cannot change the value of this field at this screen.

Create Time

When a new folder is created, the current date and time are written to this column.

Data Source Tab

Displays three fields defining the source of data: ConfigServer, Source Name, and Description.

Report Layout Tab

Displays information from the Data Mart regarding the particular ODS report layout used for the folder.

Schedule Tab

Displays information about the ODS schedule for the report layout. All information is identical to that stored in ODS except for the Schedule ID, which is a composite of Source ID and ODS Schedule ID.

Objects Tab

Lists all objects that have ever belonged to the report layout metagroup as reported within ODS. Each row of the list view records information about each object including the:

  • Object’s identification number (a composite of the Configuration Server ID, object type ID, and object DBID from the configuration database)

  • Object’s presentation name as defined in ODS

  • Time of addition or deletion

You can temporarily change the order in which columns display in this tab's list view but you cannot edit any of the information displayed. To change column order, click a column's header, drag it to the desired location, and then release your mouse button. When you leave the report folder, column order reverts back to the original order.

Statistics Tab

Lists all statistics defined for the ODS report layout. You can temporarily change the order in which columns display in this tab's list view but you cannot edit any of the information displayed. To change column order, click a column's header, drag it to the desired location, and then release your mouse button. When you leave the report folder, column order reverts back to the original order.


Viewing Details

Report Views

When an aggregation-level report view is attached, the right pane of the ETL Assistant window displays information about that report view.

The fields in this pane are described below:

View Name

The name of the view.

Time Zone

The time zone in which data was aggregated.

Purging

Provides two fields to define when ETL Runtime is to purge data from the database for this report view; see Scheduling Database Purges for more information

Stat Result Table

Contains the actual values of the ODS layout statistics for every object and time interval.

Object Description Table

Contains configuration information on the object for every object in the report layout.

Stat Description Table

Contains complete information on properties for every layout statistic.

Time Table

Contains information about the interval itself and all longer aggregation intervals of which part is formed for every time interval of the stated length of the statistical values reported.

View Details Tab

Provides the following information for the selected report view:

  • View ID

  • Time of addition

  • Time of deletion

  • Description

Data Source Tab

Provides the following information for the selected report view:

  • Parent Folder Name

  • Layout Name&emdash;the ODS report layout for which data was collected in the first place

  • Source Name&emdash;the name of the ODS from which the data was obtained

  • Config Server Name&emdash;the name of the Configuration Server to which the ODS belongs

  • Tenant&emdash;the name of the tenant for whose objects data was collected

Time Tab

Displays the time records comprising the report view.


Specifying Server Connections

Specifying Connections

Specifying Server Connections Overview

You can use ETL Assistant to specify a new Configuration Server connection to the Data Mart and enable configuration tracking. Once you have done that, ETL Assistant automatically detects the Operational Data Stores registered to that Configuration Server and prompts you to include them within the Data Mart. For ODSs created after your Configuration Server has been added to the Data Mart, you can manually add a new ODS connection.

Note: If you delete and re-create an ODS using the same database account, be sure to reassign this source to ETL Runtime.


Specifying Connections

Specifying a New Configuration Server

ETL Assistant allows you to specify ODS sources from more than one Configuration Server if you have login access to that Configuration Server. To specify a new Configuration Server:

  1. From the Sources tab, select the Sites folder.

  2. From the File menu, select New. Optionally, you can select Create New ConfigServer from the Context menu.

The New ConfigServer Reference dialog box opens and displays four fields for which you must provide values. (The fields in this dialog box are described below.)

  3. Once you have specified values for all fields, click OK.

ETL Assistant validates the existence of the Configuration Server you have identified and adds it to the list under the Sites folder.

If the Configuration Server you specified does not exist, ETL Assistant displays an error message and asks if you still want to create a node for the Configuration Server specified.

Click OK at this error box to create a Configuration Server node despite the server’s nonexistence. ETL Assistant adds the node to the Sources tab without the [image] icon preceding the node.

If the Configuration Server ID you specified has already been assigned to another Configuration Server monitored by Data Mart, ETL Assistant displays an appropriate error message and provides you the opportunity to reassign the ID.

The fields of the New ConfigServer Reference dialog box are described below:

ConfigServer ID

A string up to three characters in length, which is used as a prefix for configuration object IDs in Data Mart metadata. This string distinguishes between synonymous objects belonging to different configuration environments.

ConfigServer Name

A string of up to 64 characters. ConfigServer ID is used for internal bookkeeping; ConfigServer Name is used for presentation purposes. The ETL Assistant graphical user interface refers to Configuration Servers by this string. The string can also be used for building reports that include data from more than one configuration environment.

ConfigServer Host

Specifies the host name of a valid Configuration Server.

ConfigServer Port

Specifies the port number of a valid Configuration Server.


Specifying Connections

Auto-Detecting ODS Sources

When you add a new Configuration Server connection to the Data Mart, ETL Assistant prompts you for a user name and password so that it can automatically search for ODSs registered to that Configuration Server.

At the Scanning DB Sources from Config Server dialog box, type an authorized user name and password, then click Scan. (By default, “default” appears as the user name.) Or, click Ignore to bypass auto-detection altogether.

For each ODS within the Configuration Server, ETL Assistant displays the New DB Source dialog box, prompting you to include or exclude it within the Data Mart. Follow the procedures for specifying a new ODS source to accept the ODS and specify its connection to the Data Mart (starting with Step 4).

Note: When ETL Assistant autoscans a database, you should carefully verify the information it retrieves (such as ORACLE SID name) and update it if necessary.


Specifying Connections

Specifying a New ODS

You can specify new ODS sources in one of two ways:

  • Manually or

  • Automatically

When done, the new ODS connection(s) appear(s) in the left pane under the appropriate Configuration Server. Once an ODS is specified, ETL Runtime tries to connect to it and transform data whenever the transformation module is invoked.

Note: Should you delete and then recreate an ODS using the same database account, please remember to reassign this source as a new source to ETL Runtime using ETL Assistant.

Manual Source Specification

To manually add a new ODS connection to the Data Mart:

  1. Select the Sources tab.

  2. In the left pane, select the Configuration Server to which the ODS belongs.

  3. From the File menu, select New. (Optionally, you can select Create New DB Source from the Context menu.)

The New DB Source dialog box appears.

  4. Type a string of up to 30 characters in the Source Name field.

  5. For Oracle: Select Oracle from the Type list box. Type the appropriate ODS connection parameters in the Host Name, Port, and SID Name fields. (Note: The SID Name may differ from the DBMS name specified for the DB Server.)

    For Microsoft SQL: Select MS SQL from the list box. Type the appropriate ODS connection parameters in the Host Name, Port, and Database Name fields.

    For Sybase: Select Sybase from the Type list box. Type the appropriate ODS connection parameters in the Host Name, Port, and Database Name fields.

    For DB2:     Select DB2 from the Type list box. Type the appropriate ODS connection parameters in the Host Name, Port, and Database Name fields.

    Note:     If you incorrectly specify ODS connection parameters, ETL Runtime will not connect to the ODS.

  6. Type the appropriate user name and password in the respective fields to specify user information for connection to ODS.

    Note:     Providing an invalid user name or password prevents ETL Runtime from connecting to the ODS.

  7. In the Time Zone field, select the appropriate time zone from the list box. This selection is important because ETL aggregates statistical values in the hours, days, and weeks of the time zone selected.

    Note:     A specific time zone was selected for your Data Mart when it was initialized for the first time. If you have not yet started ETL Runtime for the first time after ETL Runtime installation, you can change your Data Mart's time zone. Changing time zones has no affect on how ETL Runtime aggregates statistical values if ETL Runtime has already been started for the first time.

  8. In the Reconnect Timeout field, enter the frequency, in seconds, with which ETL Runtime tries to restore connection to the ODS when the initial connection fails.

  9. In the Description field, type an optional data source description of up to 255 characters in length.

  10. Click OK. ETL connects to the new ODS the next time it is started or, if already started, after being specified in the configuration timeout.

Automatic Source Specification

When a new Configuration Server is added to the Data Mart, ETL Assistant automatically checks for that Configuration Server's ODS sources. While in auto-scan mode, an additional button (Finish) appears at the bottom of the New DB Source dialog box pictured above. Follow Steps 4 through 9 above, then click:

  • OK to effect ETL’s connection to the ODS source and to continue scanning for additional sources

  • Cancel to skip this particular source and continue scanning for additional sources or

  • Finish to stop the auto-scanning process altogether

Note: When ETL Assistant autoscans a database, you should carefully verify the information it retrieves (such as ORACLE SID name) and update it if necessary.


Editing Configuration Server or ODS Sources

The right pane of the ETL Assistant window must be in Edit mode before you can make changes to Configuration Server information. To change the display mode of the right pane to edit Configuration Server source information:

  1. Under the Sources tab, right-click the desired Configuration Server and select Edit from the Context menu.

  2. On the right pane, make changes as desired.

  3. Click Save from the toolbar.

The right pane returns to a Read-Only mode. (Optionally, you can select a different object on the left pane. Before ETL Assistant displays information about that object on the right pane, it prompts you to save your changes.)

Likewise, you can edit information about an existing ODS by right-clicking the desired ODS from the Sources tab. The Context menu that appears shows that you can edit or delete (remove) the ODS connection.

ETL Assistant allows you to edit information about ODS sources that have been marked for removal from the Data Mart.

Note: Restrict your changes to information about the same Configuration Server or ODS source. If your change points to an entirely different Configuration Server or ODS source, object IDs in the Data Mart will likely be out of synchronization with those in the Configuration Server or ODS source. Your changes can, however, point to:

  • A Configuration Server that has been moved to another machine.

  • An ODS copy, an ODS retrieved from backup, or the same ODS that has been moved to another machine.


Editing Report Folders and Views

The right pane of the ETL Assistant window must be in edit mode before you can make changes to a report folder. To change the display mode of the right pane to edit report folder information:

  1. Under the Report Views tab, right-click the desired report folder and select Edit from the Context menu. In the right pane, report folder information appears and editable fields are highlighted.

  2. Make changes as desired within the right pane.

  3. Click Save from the toolbar.

The right pane returns to a read-only mode. (Optionally, you can select a different object in left pane. Before ETL Assistant displays information about that object in the right pane, it prompts you to save your changes.)

Report views are editable in the same fashion.


Removing Items from the Data Mart

Removing Items Overview

You can use ETL Assistant to remove database sources and delete data from the Data Mart. Before objects are permanently and irrevocably deleted, ETL Assistant deliberately marks them for removal or deletion. You must enact additional steps to complete the deletion. This two-step process ensures a commitment to the operation by having you perform tasks both within and outside ETL Assistant. Once an item is marked for deletion/removal, though the data still exists in the Data Mart, you cannot use ETL Assistant to unmark it. To regain use of that object using ETL Assistant, you must either follow the procedures for specifying new sources or contact Genesys Technical Support for assistance.

A distinction is made between the removal of objects and their deletion to convey the persistence and visibility of objects over their eradication within the larger context of the contact center environment. Removing a DB source from the Data Mart—either marked for removal or permanently removed—neither deletes, inactivates, nor otherwise diminishes its usefulness and function within the scope of Historical Reporting. However, the action of deleting report folders and report views constitutes a final disposition of these objects. Once deleted, they cannot be reused, reactivated, or manipulated because all records pertaining to their existence and content are permanently disposed of and cannot be retrieved from Data Mart tables.

Read these topics to learn how to remove items from the Data Mart and preserve referential data integrity:

  • Marking DB sources for removal

  • Removing DB sources permanently

  • Scheduling database purges

  • Removing report folders and report views

  • Viewing objects marked for removal/deletion

At this time, you cannot use ETL Assistant to remove or hide Configuration Servers that you may have assigned to your Data Mart. You can, however, edit information about a particular Configuration Server to point it to another Configuration Server altogether.


Removing Items from the Data Mart

Marking DB Sources for Removal

To mark a DB source for removal from the Data Mart (a temporary action):

  1. With your active DB source selected under the Sources tab, right-click and select Delete from the Context menu or select Delete from the File menu.

  2. Select Yes at the Warning confirmation dialog box.

    ETL Assistant marks the DB source for removal but does not actually delete the corresponding record from the Data Mart.

Once a DB Source has been marked for removal within the Data Mart, ETL Runtime stops transforming and aggregating new data from that source. All corresponding report folders and views become invisible within ETL Assistant but are not marked for deletion. Data Sourcer may continue collecting data and storing it in the ODS source, but ETL Runtime no longer transforms it. To delete report folders and views, follow the procedures listed in the "Removing Report Folders and Report Views" topic.

To permanently remove a DB source from the Data Mart follow the procedures listed in the "Removing DB Sources Permanently" topic.


Removing Items from the Data Mart

Removing DB Sources Permanently

To permanently remove a DB source that has been marked for removal from the Data Mart:

  1. With your marked DB source selected, select Delete from the File menu.

  2. Select Yes at the Warning confirmation dialog box.

The DB source disappears from the ETL Assistant interface. ETL Runtime permanently deletes all corresponding report folders and report views from the Data Mart when their data has been purged and their corresponding report layouts in DMA have been deactivated.

Note: If you do not want a particular set of report folders and report views deleted, change the purge parameters appropriately so that their data is not purged any time soon.


Removing Items from the Data Mart

Scheduling Database Purges

Use ETL Assistant to schedule Data Mart purges. A default purge schedule is provided but by default is disabled; you must explicitly schedule or manually run the ETL Runtime Purging module for purging to take effect. The default schedule purges data for all aggregation levels after two complete calendar years have elapsed with the level of granularity is set at one year. That is, if today were January 30, 2010, all data prior to January 2008 would be purged when the Purging module is invoked.

For each report view, use the right pane of the ETL Assistant window to specify two purging parameters:

  • How long to keep the data for that particular report view

  • How soon after the elapsed time should data be purged

You must be in edit mode to set or change these parameters.

The image below illustrates that data for an unspecified report view will be kept in the Data Mart for two years and purged on the day immediately following the two-year mark.

Use the down arrows to change the unit of measurement for the time period.

The time required for the purge operation to complete is dependent on many parameters including number of users, database size, your purge schedule. Refer to the "Purging Module" chapter in the Reporting 7.6 ETL Runtime User's Guide for purging examples, how and when to run the Purging Module, default purge parameters, and information about the underlying purging algorithm.


Removing Items from the Data Mart

Removing Report Folders and Report Views

You can not actively mark or delete report folders or report views within ETL Assistant. But you can indirectly effect this result by following these steps:

  1. Delete the corresponding report layout in DMA. (Refer to the "Activating/Deactivating Report Layouts" topic in the Reporting 7.6 Data Modeling Assistant Help file for details.) There is a one-to-one correspondence between report layouts in DMA and report folders in ETL Assistant.

  2. Appropriately set purge parameters for all report views within the corresponding report folder.

  3. Schedule and run ETL Runtime's Purging Module.

  4. If not already running, invoke ETL Runtime's Transformation Module.

Every 15 minutes, the Transformation Module checks for changes to ODS sources—such as report layouts that have been deleted during the interval. Only after ETL Runtime detects that a report layout has been deleted in ODS and that all data for the corresponding report folder has been purged from the Data Mart, does it permanently delete the report folder and all constituent report views from the Data Mart.

If your Data Mart cleanup operation is of a grander scale, you can indirectly delete all report folders and views belonging to a particular ODS by removing the DB source itself. If the DB source is permanently removed from the Data Mart, after you have purged its data, ETL Runtime permanently deletes all constituent report folders and views from the Data Mart.

Report folders are only marked for deletion after their corresponding DB source and all views for this folder have been marked for deletion. You cannot directly mark a report folder for deletion. Permanently deleted report folders do not appear on the Report Views tab.


Viewing objects Marked for Removal or Deletion

Objects can exist in the state where they have been marked for removal (for DB Sources) or marked for deletion (for report folders and views) in the Data Mart. Though data transformation and aggregation ceases for these objects, you can still view information about them within ETL Assistant.

To view DB sources marked for removal from the Data Mart:

  1. Select Output from the Options menu.

  2. Select the Show Deleted DB Sources check box from the Output dialog box, and then click OK.

  3. At the main window, select the Sources tab.

ETL Assistant removes the green database icon preceding the DB source, DS01 in the image below, to indicate that the source has been marked for removal.

Note: DB sources that have been permanently removed from the Data Mart do not appear on the Sources tab.